<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Complete Profile</title>
    <link rel="stylesheet" href="/public/css/register.css">
    <script src="https://kit.fontawesome.com/c26cd2166c.js"></script>
  </head>
  <body>
    <div class="container">
      <!-- <header>Signup Form</header> -->
      <div class="progress-bar">
        <div class="step">
          <div class="bullet">
            <span></span>
          </div>
          <p>Username</p>
          <div class="check fas fa-check"></div>
        </div>
        <div class="step">
          <div class="bullet">
            <span></span>
          </div>
          <p>Fullname</p>
          <div class="check fas fa-check"></div>
        </div>
        <div class="step">
          <div class="bullet">
            <span></span>
          </div>
          <p>Photo</p>
          <div class="check fas fa-check"></div>
        </div>
        <div class="step">
          <div class="bullet">
            <span></span>
          </div>
          <p>Short Bio</p>
          <div class="check fas fa-check"></div>
        </div>
        <div class="step">
          <div class="bullet">
            <span></span>
          </div>
          <p>Interest</p>
          <div class="check fas fa-check"></div>
        </div>
      </div>
      <div class="form-outer">
        <form action="#">
          <div class="page slide-page">
            <div class="title">Let's Create A Username</div>
            <div class="field">
              <input type="text" placeholder="@username">
            </div>
            <div class="field">
              <button class="firstNext next">Continue</button>
            </div>
          </div>

          <div class="page">
            <div class="title">What's Your Name?</div>
            <div class="field">
              <input type="text" placeholder="Display Name">
            </div>
            <div class="field">
              <button class="next-1 next">Continue</button>
            </div>
          </div>

          <div class="page md-page">
            <div class="title">How Do You Want To Be Seen?</div>
            <div class="field">
              <div class="wrapper">
                <div class="image">
                  <img src="" alt="">
                </div>
                <div class="content">
                  <!-- <div class="icon"><i class="fas fa-cloud-upload-alt"></i></div>
                  <div class="text">No file chosen, yet!</div> -->
                </div>
                  <div id="cancel-btn"><i class="fas fa-times"></i></div>
                  <!-- <div class="file-name">File name here</div> -->
              </div>
              <button onclick="defaultBtnActive()" id="custom-btn">Upload Photo</button>
              <input id="default-btn" type="file" hidden>
            </div>
            <div class="field btns">
              <button class="next-2 next">Continue</button>
            </div>
            <div class="skip">
              <a href="/feeds/profile-not-complete">Skip</a>
            </div>
          </div>

          <div class="page md-page">
            <div class="title">Tell Us About You</div>
            <div class="field">
              <textarea name="" id="" cols="30" rows="10" placeholder="Write a short bio in maximum 100 words"></textarea>
            </div>
            <div class="field">
              <button class="next-3 next btn">Continue</button>
            </div>
            <div class="skip">
              <a href="/feeds/profile-not-complete">Skip</a>
            </div>
          </div>

          <div class="page md-page">
            <div class="title">Select Your Favorite Category Post</div>
            <div class="field box-select">
                <button id="select"><i class="fa fa-bar-chart"></i>Bussiness</button>
                <button id="select-2"><i class="fa fa-graduation-cap"></i>Education</button>
                <button id="select"><i class="fa fa-plane"></i>Travel</button>
            </div>
            <div class="field box-select">
              <button id="select"><i class="fa fa-heartbeat"></i>Health</button>
              <button id="select"><i class="fa fa-dumbbell"></i>Sports</button>
              <button id="select"><i class="fa fa-landmark"></i>Politics</button>
            </div>
            <div class="field box-select">
              <button  style="margin-bottom: 20px;" id="select"><i class="fa fa-play"></i>Entertainment</button>
            </div>
            <div class="field">
              <button class="next-4 next btn">Continue</button>
            </div>
            <div class="skip">
              <a href="/feeds/profile-not-complete">Skip</a>
            </div>
          </div>

          <div class="page md-page">
            <span><i class="fas fa-check-circle"></i></span>
            <div class="title">Registration Complete!</div>
            <div class="field">
              <h6>Congratulations! You’ve successfully create an account.</h6>
            </div>
            <div class="field">
              <button class="next btn"><a href="/feeds"> Okay</a></button>
            </div>
          </div>

          </div>
        </form>
      </div>
    </div>
    <script src="/public/js/register.js"></script>
    <script>
      const wrapper = document.querySelector(".wrapper");
      const fileName = document.querySelector(".file-name");
      const defaultBtn = document.querySelector("#default-btn");
      const customBtn = document.querySelector("#custom-btn");
      const cancelBtn = document.querySelector("#cancel-btn i");
      const img = document.querySelector("img");
      let regExp = /[0-9a-zA-Z\^\&\'\@\{\}\[\]\,\$\=\!\-\#\(\)\.\%\+\~\_ ]+$/;
      function defaultBtnActive(){
        defaultBtn.click();
      }
      defaultBtn.addEventListener("change", function(){
        const file = this.files[0];
        if(file){
          const reader = new FileReader();
          reader.onload = function(){
            const result = reader.result;
            img.src = result;
            wrapper.classList.add("active");
          }
          cancelBtn.addEventListener("click", function(){
            img.src = "";
            wrapper.classList.remove("active");
          })
          reader.readAsDataURL(file);
        }
        if(this.value){
          let valueStore = this.value.match(regExp);
          fileName.textContent = valueStore;
        }
      });
    </script>

  </body>
</html>
